## xfoil 6.97.dfsg

=== bin/Makefile ===
#*********************************************************
# Makefile for XFOIL V6.93 programs
# H.Youngren 4/24/01
# M.Drela
#*********************************************************


SHELL = sh
#BINDIR = $(HOME)/bin/
BINDIR = .

PROGS = xfoil pplot pxplot

SRC = ../src
OSRC = ../osrc

XFOILOBJ = xfoil.o xpanel.o xoper.o xtcam.o xgdes.o xqdes.o xmdes.o \
xsolve.o xbl.o xblsys.o xpol.o xplots.o pntops.o xgeom.o xutils.o modify.o \
blplot.o polplt.o aread.o naca.o spline.o plutil.o iopol.o gui.o sort.o \
dplot.o profil.o

PPLOTOBJ = pplot.o polplt.o sort.o iopol.o
PXPLOTOBJ = pxplot.o plutil.o gui.o

XUTILOBJ  = userio.o

FTNLIB = 

##----------------------------------------------------
OSOBJ = frplot0.o

# Use this for individual TS-wave frequency plotting
OSOBJ = frplot.o ntcalc.o osmap.o getosfile.o

##----------------------------------------------------
PLTOBJ = ../plotlib/libPlt.a 

# Use this if you have a copy of the plotlib as a system library
#PLTOBJ = -lPlt 

# The extra location arg here is for Linux which places X libs in /usr/X11R6
PLTLIB = -L/usr/X11R6/lib -lX11

###================================================
###  Default compilers and flags
###  FFLOPT used for xsolve.f
FC = f77
FFLAGS  = -O 
FFLOPT  = -O
INSTALLCMD = install -s

CC = cc
CFLAGS = -O -DUNDERSCORE

##--------------------------

# Uncomment flags for desired machine...

##--------------------------
### DEC Alpha with OSF and DEC f77/f90 compiler
#FC = f77
#FFLAGS = -fast -O4 -tune host
#FFLOPT = -fast -O4 -tune host
#FFLOPT = -fast -O5 -tune host -unroll 3
# Debug flags
#FFLAGS = -O0 -g
#FFLOPT = -fast -O4 -tune host
##--------------------------
### SGI setup
#FC = f77
#FFLAGS = -O2 -static
#FFLOPT = -O2 -static
##--------------------------
##  Uncomment for RS/6000
#FFLAGS = -O -qextname
#FFLOPT = -O -qextname
##--------------------------
##  Uncomment for HP-9000
#FFLAGS = -O +ppu
#FFLOPT = -O +ppu
#FTNLIB = -U77
##--------------------------
### Absoft Linux f77
#FC = f77
#FFLAGS = -O -f -s -W -B108 -N34
#FFLOPT = -O -f -s -W -B108 -N34
##--------------------------
### f2c/gcc compiler driver 
#FC = fort77
#FFLAGS = -O2 -fomit-frame-pointer
#FFLOPT = -O2 -fomit-frame-pointer
##--------------------------
### GNU g77
#FC = g77
#FFLAGS = -O3 -fomit-frame-pointer
#FFLOPT = -O3 -fomit-frame-pointer
# Debug flags (symbols, array bounds)
#FC = g77
#FFLAGS = -g -O0 -C
##--------------------------
### Intel Fortran Compiler
FC = ifort
FFLAGS = -O
FFLOPT = -O
#FTNLIB = -Vaxlib /usr/lib/C-ctype.o /usr/lib/C_name.o /usr/lib/ctype-info.o
#FTNLIB = -Vaxlib
#FTNLIB = -i_dynamic

##--------------------------
### Double precision option
FFLAGS = -O -r8 -CB
FFLOPT = -O -r8 -CB
PLTOBJ = ../plotlib/libPltDP.a 

FFLAGS = -O -r8 -ftrapuv -fpe0
FFLOPT = -O -r8 -ftrapuv -fpe0


all:	 $(PROGS)

install: 
	$(INSTALLCMD) $(PROGS) $(BINDIR)

clean:
	-/bin/rm $(PROGS)
	-/bin/rm $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ) $(PPLOTOBJ) $(PXPLOTOBJ)
#	-/bin/rm *.o



xfoil: $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ)
	$(FC) -o xfoil $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)

pxplot:	$(PXPLOTOBJ) $(XUTILOBJ)
	$(FC) -o pxplot $(PXPLOTOBJ) $(XUTILOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)

pplot:	$(PPLOTOBJ) $(XUTILOBJ)
	$(FC) -o pplot $(PPLOTOBJ) $(XUTILOBJ)  $(PLTOBJ) $(PLTLIB) $(FTNLIB)


xfoil.o: $(SRC)/xfoil.f  $(SRC)/XFOIL.INC $(SRC)/XBL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xfoil.f
xpanel.o: $(SRC)/xpanel.f  $(SRC)/XFOIL.INC
	$(FC) -c $(FFLOPT)  $(SRC)/xpanel.f
xoper.o: $(SRC)/xoper.f  $(SRC)/XFOIL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xoper.f
xsolve.o: $(SRC)/xsolve.f  $(SRC)/XFOIL.INC
	$(FC) -c $(FFLOPT)  $(SRC)/xsolve.f
dplot.o: $(SRC)/dplot.f  $(SRC)/XFOIL.INC
	$(FC) -c $(FFLOPT)  $(SRC)/dplot.f
xtcam.o: $(SRC)/xtcam.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xtcam.f
xgdes.o: $(SRC)/xgdes.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xgdes.f
xqdes.o: $(SRC)/xqdes.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xqdes.f
xmdes.o: $(SRC)/xmdes.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC $(SRC)/CIRCLE.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xmdes.f
xbl.o:   $(SRC)/xbl.f    $(SRC)/XFOIL.INC $(SRC)/XBL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xbl.f
xblsys.o: $(SRC)/xblsys.f                  $(SRC)/XBL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xblsys.f
xplots.o: $(SRC)/xplots.f $(SRC)/XFOIL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xplots.f
pntops.o: $(SRC)/pntops.f $(SRC)/XFOIL.INC $(SRC)/XDES.INC
	$(FC) -c $(FFLAGS)  $(SRC)/pntops.f
blplot.o: $(SRC)/blplot.f $(SRC)/XFOIL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/blplot.f
xpol.o: $(SRC)/xpol.f     $(SRC)/XFOIL.INC
	$(FC) -c $(FFLAGS)  $(SRC)/xpol.f
xgeom.o: $(SRC)/xgeom.f 
	$(FC) -c $(FFLAGS)  $(SRC)/xgeom.f
xutils.o: $(SRC)/xutils.f 
	$(FC) -c $(FFLAGS)  $(SRC)/xutils.f
modify.o: $(SRC)/modify.f 
	$(FC) -c $(FFLAGS)  $(SRC)/modify.f
aread.o: $(SRC)/aread.f 
	$(FC) -c $(FFLAGS)  $(SRC)/aread.f
naca.o: $(SRC)/naca.f 
	$(FC) -c $(FFLAGS)  $(SRC)/naca.f
plutil.o: $(SRC)/plutil.f 
	$(FC) -c $(FFLAGS)  $(SRC)/plutil.f
userio.o: $(SRC)/userio.f 
	$(FC) -c $(FFLAGS)  $(SRC)/userio.f
gui.o: $(SRC)/gui.f 
	$(FC) -c $(FFLAGS)  $(SRC)/gui.f
spline.o: $(SRC)/spline.f 
	$(FC) -c $(FFLAGS)  $(SRC)/spline.f
sort.o: $(SRC)/sort.f
	$(FC) -c $(FFLAGS)  $(SRC)/sort.f
profil.o: $(SRC)/profil.f
	$(FC) -c $(FFLAGS)  $(SRC)/profil.f

polplt.o: $(SRC)/polplt.f $(SRC)/PINDEX.INC
	$(FC) -c $(FFLAGS)  $(SRC)/polplt.f
iopol.o: $(SRC)/iopol.f $(SRC)/PINDEX.INC
	$(FC) -c $(FFLAGS)  $(SRC)/iopol.f

pplot.o:  $(SRC)/pplot.f  $(SRC)/PPLOT.INC
	$(FC) -c $(FFLAGS)  $(SRC)/pplot.f
pxplot.o: $(SRC)/pxplot.f $(SRC)/PXPLOT.INC
	$(FC) -c $(FFLAGS)  $(SRC)/pxplot.f


frplot0.o: $(SRC)/frplot0.f
	$(FC) -c $(FFLAGS)  $(SRC)/frplot0.f
frplot.o: $(SRC)/frplot.f
	$(FC) -c $(FFLAGS)  $(SRC)/frplot.f
ntcalc.o: $(SRC)/ntcalc.f
	$(FC) -c $(FFLAGS)  $(SRC)/ntcalc.f

osmap.o: $(OSRC)/osmap.f
	$(FC) -c $(FFLAGS)  $(OSRC)/osmap.f

getosfile.o: $(OSRC)/getosfile.c
	$(CC) -c $(CFLAGS)  $(OSRC)/getosfile.c

=== plotlib/Makefile ===
#***********************************************************************
#    Module:  Makefile
# 
#    Copyright (C) 1996 Harold Youngren, Mark Drela 
# 
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this library; if not, write to the Free
#    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
#    Report problems to:    guppy@maine.com 
#                        or drela@mit.edu  
#***********************************************************************


#================================#
# Makefile for Xplot11 library   #
#  edit the config.make file to  #
#  set specific options for your #
#  system                        #
#================================#

# Point to your install directory
#INSTALLDIR= $(HOME)/lib
#INSTALLDIR= /usr/local/lib
#INSTALLDIR= .

# Use these to set default library name (overridden in config.make file) 
PLTLIB = libPlt.a
#PLTLIB = libPltDP.a


###========================================================
###  Basic plot library object files
OBJ     = plt_base.o plt_font.o plt_util.o plt_color.o \
          set_subs.o gw_subs.o ps_subs.o Xwin.o
OBJMISC =
OBJ3D   =
OBJOLD  =

###
###--------------------------------------------------------
###  Uncomment to add the old plot compatibility routines
OBJOLD  = plt_old.o
###
###--------------------------------------------------------
###  Uncomment to add the primitive 3D-view routines
OBJ3D  = plt_3D.o
###
###--------------------------------------------------------
###  Uncomment for f77 compiler w/o AND() and RSHIFT/LSHIFT functions.
###   This adds some functions to duplicate these using IAND and ISHFT
###   which often appear in these offending fortran's libraries.
###   The compilers that this has affected include:
###      HPUX f77
###      Absoft f77 on Linux
###
#OBJMISC = util-ops.o


###================================================
###  Default compilers and flags, install commands
FC = f77
CC  = cc
# Some fortrans need trailing underscores in C interface symbols (see Xwin.c)
DEFINE = -DUNDERSCORE
# Uncomment DP to make double-precision version
#DP = -r8
FFLAGS  = -O $(DP)
CFLAGS  = -O $(DEFINE)
AR = ar r 
RANLIB = ranlib
LINKLIB =  -lX11 
###================================================



###================================================
### This line includes your compiler/make options
### with definitions for compiler and flags

include ./config.make

###================================================



###-------------------------------------------------------------------------
### Basic make targets - build library, test programs

$(PLTLIB):  $(OBJ) $(OBJOLD) $(OBJ3D) $(OBJMISC)
	$(AR)     $(PLTLIB) $(OBJ) $(OBJOLD) $(OBJ3D) $(OBJMISC)
	$(RANLIB) $(PLTLIB)

test:  $(PLTLIB)
	(cd examples; make test)


###-------------------------------------------------------------------------
### Utility functions - install the library, clean the directory

install:  $(PLTLIB)
	mv $(PLTLIB) $(INSTALLDIR)
	$(RANLIB)   $(INSTALLDIR)/$(PLTLIB)

clean:
	-/bin/rm $(OBJ) $(OBJOLD) $(OBJ3D) $(OBJMISC)
	-/bin/rm $(PLTLIB)
	-/bin/rm plot*.ps
	(cd examples; make clean)


###-------------------------------------------------------------------------
### compile plot package routines

plt_base.o: plt_base.f pltlib.inc
	$(FC) -c $(FFLAGS)  plt_base.f

plt_color.o: plt_color.f  pltlib.inc
	$(FC) -c $(FFLAGS)  plt_color.f

plt_font.o: plt_font.f CHAR.INC SLAN.INC MATH.INC SYMB.INC
	$(FC) -c $(FFLAGS)  plt_font.f

plt_util.o: plt_util.f
	$(FC) -c $(FFLAGS)  plt_util.f

plt_3D.o: plt_3D.f
	$(FC) -c $(FFLAGS)  plt_3D.f

plt_old.o: plt_old.f pltlib.inc
	$(FC) -c $(FFLAGS)  plt_old.f

set_subs.o: set_subs.f  pltlib.inc
	$(FC) -c $(FFLAGS)  set_subs.f

gw_subs.o: gw_subs.f  pltlib.inc
	$(FC) -c $(FFLAGS)  gw_subs.f

ps_subs.o: ps_subs.f  pltlib.inc
	$(FC) -c $(FFLAGS)  ps_subs.f

util-ops.o: util-ops.f 
	$(FC) -c $(FFLAGS)  util-ops.f

Xwin.o: Xwin.c
	$(CC) -c $(CFLAGS) Xwin.c


### May need to specify these on a brain-dead make system
#.f.o:	$(FC) -c $(FFLAGS) $<
#.c.o:	$(CC) -c $(CFLAGS) $<

=== orrs/bin/Makefile ===

SRC = ../src
PLTOBJ = /var/local/codes/Xplot/libPlt.a

#========================================
#  Default compiler flags
FC = f77
FLG = -O
PLTLIB = -lX11
FTNLIB =

#========================================
#  Uncomment for Intel Fortran Compiler
FC = ifort
FLG = -O -fpe0 -CB
PLTLIB = -L/usr/X11R6/lib -lX11
FTNLIB = 

#  Additional IFC stuff needed on MIT's Athena system
#FC = ifc
#FTNLIB = -Vaxlib /usr/lib/C-ctype.o /usr/lib/C_name.o /usr/lib/ctype-info.o

#========================================


OS: osgen osmap.o

clean:
	/bin/rm *.o osgen

osgen: osgen.o io.o spline.o getarg0.o
	$(FC) -o osgen osgen.o io.o spline.o getarg0.o $(FTNLIB)
osgen1: osgen1.o io.o spline.o getarg0.o
	$(FC) -o osgen1 osgen1.o io.o spline.o getarg0.o $(FTNLIB)
fscorr: fscorr.o fs.o
	$(FC) -o fscorr fscorr.o fs.o $(PLTOBJ) $(PLTLIB)
fsrun: fsrun.o fs.o
	$(FC) -o fsrun fsrun.o fs.o $(PLTOBJ) $(PLTLIB)
intai: intai.o osmap.o plutil.o
	$(FC) -o intai intai.o osmap.o plutil.o $(PLTOBJ) $(PLTLIB)
mappl1: mappl1.o ask1.o conlab.o io.o getarg0.o
	$(FC) -o mappl1 mappl1.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
ncorr: ncorr.o fs.o
	$(FC) -o ncorr ncorr.o fs.o $(PLTOBJ) $(PLTLIB)
osrun: osrun.o fs.o orrs.o ospres.o plutil.o userio.o
	$(FC) -o osrun osrun.o fs.o orrs.o ospres.o \
plutil.o userio.o $(PLTOBJ) $(PLTLIB) $(FTNLIB)
osseq: osseq.o fs.o orrs.o ospres.o plutil.o userio.o
	$(FC) -o osseq osseq.o fs.o orrs.o ospres.o \
plutil.o userio.o $(PLTOBJ) $(PLTLIB) $(FTNLIB)
pfplot: pfplot.o fs.o ask1.o
	$(FC) -o pfplot pfplot.o fs.o ask1.o $(PLTOBJ) $(PLTLIB)
roll: roll.o
	$(FC) -o roll roll.o $(PLTOBJ) $(PLTLIB) $(FTNLIB)
as2bi: as2bi.o io.o getarg0.o
	$(FC) -o as2bi as2bi.o io.o getarg0.o $(FTNLIB)
bi2as: bi2as.o io.o getarg0.o
	$(FC) -o bi2as bi2as.o io.o getarg0.o $(FTNLIB)
bi2bi: bi2bi.o io.o getarg0.o
	$(FC) -o bi2bi bi2bi.o io.o getarg0.o $(FTNLIB)
otest: otest.o osmap.o
	$(FC) -o otest otest.o osmap.o
osweep: osweep.o osmap.o
	$(FC) -o osweep osweep.o osmap.o

osgen.o: $(SRC)/osgen.f
	$(FC) -c $(FLG) $(SRC)/osgen.f
osgen1.o: $(SRC)/osgen1.f
	$(FC) -c $(FLG) $(SRC)/osgen1.f
orrs.o: $(SRC)/orrs.f $(SRC)/ORRS.INC
	$(FC) -c $(FLG) $(SRC)/orrs.f
ospres.o: $(SRC)/ospres.f $(SRC)/OSPRES.INC
	$(FC) -c $(FLG) $(SRC)/ospres.f
pfplot.o: $(SRC)/pfplot.f
	$(FC) -c $(FLG) $(SRC)/pfplot.f
fscorr.o: $(SRC)/fscorr.f
	$(FC) -c $(FLG) $(SRC)/fscorr.f
fsrun.o: $(SRC)/fsrun.f
	$(FC) -c $(FLG) $(SRC)/fsrun.f
fs.o: $(SRC)/fs.f
	$(FC) -c $(FLG) $(SRC)/fs.f
io.o: $(SRC)/io.f
	$(FC) -c $(FLG) $(SRC)/io.f
intai.o: $(SRC)/intai.f
	$(FC) -c $(FLG) $(SRC)/intai.f
mappl1.o: $(SRC)/mappl1.f
	$(FC) -c $(FLG) $(SRC)/mappl1.f
ncorr.o: $(SRC)/ncorr.f
	$(FC) -c $(FLG) $(SRC)/ncorr.f
osmap.o: $(SRC)/osmap.f
	$(FC) -c $(FLG) $(SRC)/osmap.f
osrun.o: $(SRC)/osrun.f
	$(FC) -c $(FLG) $(SRC)/osrun.f
osseq.o: $(SRC)/osseq.f
	$(FC) -c $(FLG) $(SRC)/osseq.f
roll.o: $(SRC)/roll.f
	$(FC) -c $(FLG) $(SRC)/roll.f
otest.o: $(SRC)/otest.f
	$(FC) -c $(FLG) $(SRC)/otest.f
osweep.o: $(SRC)/osweep.f
	$(FC) -c $(FLG) $(SRC)/osweep.f

spline.o: $(SRC)/spline.f
	$(FC) -c $(FLG) $(SRC)/spline.f
conlab.o: $(SRC)/conlab.f
	$(FC) -c $(FLG) $(SRC)/conlab.f
plutil.o: $(SRC)/plutil.f
	$(FC) -c $(FLG) $(SRC)/plutil.f
ask1.o: $(SRC)/ask1.f
	$(FC) -c $(FLG) $(SRC)/ask1.f
userio.o: $(SRC)/userio.f
	$(FC) -c $(FLG) $(SRC)/userio.f
getarg0.o: $(SRC)/getarg0.f
	$(FC) -c $(FLG) $(SRC)/getarg0.f

=== plotlib/examples/Makefile ===
#***********************************************************************
#    Module:  Makefile (examples directory)
# 
#    Copyright (C) 1996 Harold Youngren, Mark Drela 
# 
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this library; if not, write to the Free
#    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
#    Report problems to:    guppy@maine.com 
#                        or drela@mit.edu  
#***********************************************************************

########################################
# makefile for Xplot11 library examples
########################################


###================================================
### This line includes your compiler/make options
### with definitions for compiler and flags

include ../config.make

###================================================

LIB  = ../$(PLTLIB)

#FC = ifort
#FFLAGS = -r8

PROGS = volts volts_old \
        symbols symbolsall \
	squares squaresdoublebuff \
	spectrum cmap2 cmap3 defmap \
        gridtest zoomtest contest


examples:  $(PROGS)


test:  $(PROGS)

clean:
	-/bin/rm *.o
	-/bin/rm $(PROGS)
	-/bin/rm plot*.ps



#Test routines for package

volts: volts.o 
	$(FC) -o volts volts.o $(LIB) $(LINKLIB)

volts_old: volts_old.o 
	$(FC) -o volts_old volts_old.o $(LIB) $(LINKLIB)

symbols: symbols.o 
	$(FC) -o symbols symbols.o $(LIB) $(LINKLIB)

symbolsall: symbolsall.o 
	$(FC) -o symbolsall symbolsall.o $(LIB) $(LINKLIB)

squares: squares.o
	$(FC) -o squares squares.o $(LIB) $(LINKLIB)

squaresdoublebuff: squaresdoublebuff.o
	$(FC) -o squaresdoublebuff squaresdoublebuff.o $(LIB) $(LINKLIB)

spectrum: spectrum.o 
	$(FC) -o spectrum spectrum.o $(LIB) $(LINKLIB)

cmap2: cmap2.o 
	$(FC) -o cmap2 cmap2.o $(LIB) $(LINKLIB)

cmap3: cmap3.o 
	$(FC) -o cmap3 cmap3.o $(LIB) $(LINKLIB)
 
defmap: defmap.o
	$(FC) -o defmap defmap.o $(LIB) $(LINKLIB)

gridtest: gridtest.o 
	$(FC) -o gridtest gridtest.o $(LIB) $(LINKLIB)

zoomtest: zoomtest.o 
	$(FC) -o zoomtest zoomtest.o $(LIB) $(LINKLIB)

contest: contest.o 
	$(FC) -o contest contest.o $(LIB) $(LINKLIB)



volts.o: volts.f
	$(FC) -c $(FFLAGS) $<

volts_old.o: volts_old.f
	$(FC) -c $(FFLAGS) $<

symbols.o: symbols.f
	$(FC) -c $(FFLAGS) $<

symbolsall.o: symbolsall.f
	$(FC) -c $(FFLAGS) $<

squares.o: squares.f
	$(FC) -c $(FFLAGS) $<

squaresdoublebuff.o: squaresdoublebuff.f
	$(FC) -c $(FFLAGS) $<

spectrum.o: spectrum.f
	$(FC) -c $(FFLAGS) $<

cmap2.o: cmap2.f
	$(FC) -c $(FFLAGS) $<

cmap3.o: cmap3.f
	$(FC) -c $(FFLAGS) $<

defmap.o: defmap.f
	$(FC) -c $(FFLAGS) $<

gridtest.o: gridtest.f
	$(FC) -c $(FFLAGS) $<

zoomtest.o: zoomtest.f
	$(FC) -c $(FFLAGS) $<

contest.o: contest.f
	$(FC) -c $(FFLAGS) $<

#May need to specify these on a brain-dead make system
#.f.o:	$(FC) -c $(FFLAGS) $<
#.c.o:	$(CC) -c $(CFLAGS) $<

=== debian/changelog ===
xfoil (6.97.dfsg-5) unstable; urgency=low

  * Fix IO after end of file, thanks to Andrew Klaassen (closes: #682679).
  * Fix command line arguments handling in pxplot.
  * Standards-Version 3.9.3 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 24 Jul 2012 21:56:26 +0200

xfoil (6.97.dfsg-4) unstable; urgency=low

  * Add build and install target to debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 19 Jan 2010 23:03:44 +0100

xfoil (6.97.dfsg-3) unstable; urgency=low

  * New patch:
    - osgen-fix.diff - fix bug in osgen that cacuses generation of incorrect
      osmap.dat file
  * Build and install osmap.dat
  * Silence clean in plotlib

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 12 Jan 2010 21:33:19 +0100

xfoil (6.97.dfsg-2) unstable; urgency=low

  * Mention that plotlib is distributed under LGPL2+ in debian/copyright,
    thanks to Barry deFreese

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 07 Jan 2010 21:39:57 +0100

xfoil (6.97.dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #541351)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 Jan 2010 19:09:17 +0100

=== debian/control ===
Source: xfoil
Section: science
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
Standards-Version: 3.9.3
Homepage: http://web.mit.edu/drela/Public/web/xfoil/
Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git

Package: xfoil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program for the design and analysis of subsonic airfoils
 XFOIL is an interactive program for the design and analysis of subsonic
 isolated airfoils. It consists of a collection of menu-driven routines
 which perform various useful functions such as:
   - Viscous (or inviscid) analysis of an existing airfoil
   - Airfoil design and redesign by interactive specification of
     a surface speed distribution via screen cursor or mouse
   - Airfoil redesign by interactive specification of new geometric
     parameters
   - Blending of airfoils
   - Drag polar calculation with fixed or varying Reynolds and/or
     Mach numbers.
   - Plotting of geometry, pressure distributions, and polars

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean binary binary-arch binary-indep build install:
	dh $@

override_dh_auto_build:
	$(MAKE) -C orrs/bin -f Makefile osgen
	cd orrs && bin/osgen osmaps_ns.lst
	$(MAKE) -C plotlib libPlt.a
	$(MAKE) -C bin

override_dh_auto_clean:
	$(MAKE) -C orrs/bin clean
	rm -f orrs/osmap.dat
	$(MAKE) -C plotlib clean
	$(MAKE) -C bin clean

override_dh_installchangelogs:
	dh_installchangelogs version_notes.txt

.PHONY: clean build binary binary-arch binary-indep build install

## xfoil 6.99.dfsg

=== debian/changelog ===
xfoil (6.99.dfsg-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:22:08 +0000

xfoil (6.99.dfsg-2) unstable; urgency=medium

  * Add debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 22:25:41 +0200

xfoil (6.99.dfsg-1) unstable; urgency=medium

  * New upstream release 
  * Refresh patches
  * Fix plotlib building 
  * Enable parallel build
  * Enable stack protector and relro 
  * Add support for all required targets to debian/rules 
  * Standards-Version 3.9.5 — no changers needed

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 21:30:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://web.mit.edu/drela/Public/web/xfoil/
 Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git

## xfoil 6.99.dfsg%2B1

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 11~), gfortran, libx11-dev
+Standards-Version: 4.2.1
 Homepage: http://web.mit.edu/drela/Public/web/xfoil/
-Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git
+Vcs-Git: https://salsa.debian.org/debian/xfoil.git
+Vcs-Browser: https://salsa.debian.org/debian/xfoil
 
 Package: xfoil
 Architecture: any

## xfoil 6.99.dfsg+1

=== bin/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 
 SHELL = sh
-#BINDIR = $(HOME)/bin/
-BINDIR = .
+BINDIR = /home/codes/bin/
+#BINDIR = .
 
 PROGS = xfoil pplot pxplot
 
@@ -98,22 +98,33 @@
 #FC = g77
 #FFLAGS = -g -O0 -C
 ##--------------------------
-### Intel Fortran Compiler
-FC = ifort
-FFLAGS = -O
-FFLOPT = -O
-#FTNLIB = -Vaxlib /usr/lib/C-ctype.o /usr/lib/C_name.o /usr/lib/ctype-info.o
-#FTNLIB = -Vaxlib
-#FTNLIB = -i_dynamic
-
-##--------------------------
+### GNU gfortran
+#FC = gfortran
+#FFLAGS = -O3 -fomit-frame-pointer
+#FFLOPT = -O3 -fomit-frame-pointer
+# Debug flags (symbols, array bounds)
+#FFLAGS = -g -O0 -fbounds-check
+#FFLOPT = -g -O0 -fbounds-check
+#
 ### Double precision option
-FFLAGS = -O -r8 -CB
-FFLOPT = -O -r8 -CB
-PLTOBJ = ../plotlib/libPltDP.a 
-
-FFLAGS = -O -r8 -ftrapuv -fpe0
-FFLOPT = -O -r8 -ftrapuv -fpe0
+#FFLAGS = -O3 -fdefault-real-8
+#FFLOPT = -O3 -fdefault-real-8
+#FFLAGS = -O3 -fdefault-real-8 -fbounds-check
+#FFLOPT = -O3 -fdefault-real-8 -fbounds-check
+# Debug flags (symbols, array bounds)
+#FFLAGS = -g -O0 -C
+##--------------------------
+### Gfortran
+FC = gfortran
+CHK = 
+CHK = -fbounds-check -finit-real=inf -ffpe-trap=invalid,zero
+DBL = -fdefault-real-8
+FFLAGS = -O $(CHK) $(DBL)
+FFLOPT = -O $(CHK) $(DBL)
+FTNLIB =
+
+PLTOBJ = ../plotlib/libPlt_gDP.a 
+
 
 
 all:	 $(PROGS)
@@ -130,19 +141,29 @@
 
 xfoil: $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ)
 	$(FC) -o xfoil $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)
+	$(INSTALLCMD) xfoil $(BINDIR)
 
 pxplot:	$(PXPLOTOBJ) $(XUTILOBJ)
 	$(FC) -o pxplot $(PXPLOTOBJ) $(XUTILOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)
+	$(INSTALLCMD) pxplot $(BINDIR)
 
 pplot:	$(PPLOTOBJ) $(XUTILOBJ)
 	$(FC) -o pplot $(PPLOTOBJ) $(XUTILOBJ)  $(PLTOBJ) $(PLTLIB) $(FTNLIB)
-
+	$(INSTALLCMD) pplot $(BINDIR)
+
+blu: blu.o profil.o
+	$(FC) -o blu blu.o profil.o
+	$(INSTALLCMD) blu $(BINDIR)
+
+
+blu.o: $(SRC)/blu.f
+	$(FC) -c $(FFLAGS) $(SRC)/blu.f
 
 xfoil.o: $(SRC)/xfoil.f  $(SRC)/XFOIL.INC $(SRC)/XBL.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xfoil.f
 xpanel.o: $(SRC)/xpanel.f  $(SRC)/XFOIL.INC
 	$(FC) -c $(FFLOPT)  $(SRC)/xpanel.f
-xoper.o: $(SRC)/xoper.f  $(SRC)/XFOIL.INC
+xoper.o: $(SRC)/xoper.f  $(SRC)/XFOIL.INC  $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xoper.f
 xsolve.o: $(SRC)/xsolve.f  $(SRC)/XFOIL.INC
 	$(FC) -c $(FFLOPT)  $(SRC)/xsolve.f
@@ -156,17 +177,17 @@
 	$(FC) -c $(FFLAGS)  $(SRC)/xqdes.f
 xmdes.o: $(SRC)/xmdes.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC $(SRC)/CIRCLE.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xmdes.f
-xbl.o:   $(SRC)/xbl.f    $(SRC)/XFOIL.INC $(SRC)/XBL.INC
+xbl.o:   $(SRC)/xbl.f    $(SRC)/XFOIL.INC $(SRC)/XBL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xbl.f
-xblsys.o: $(SRC)/xblsys.f                  $(SRC)/XBL.INC
+xblsys.o: $(SRC)/xblsys.f                  $(SRC)/XBL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xblsys.f
-xplots.o: $(SRC)/xplots.f $(SRC)/XFOIL.INC
+xplots.o: $(SRC)/xplots.f $(SRC)/XFOIL.INC $(SRC)/XDES.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xplots.f
 pntops.o: $(SRC)/pntops.f $(SRC)/XFOIL.INC $(SRC)/XDES.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pntops.f
-blplot.o: $(SRC)/blplot.f $(SRC)/XFOIL.INC
+blplot.o: $(SRC)/blplot.f $(SRC)/XFOIL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/blplot.f
-xpol.o: $(SRC)/xpol.f     $(SRC)/XFOIL.INC
+xpol.o: $(SRC)/xpol.f     $(SRC)/XFOIL.INC $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xpol.f
 xgeom.o: $(SRC)/xgeom.f 
 	$(FC) -c $(FFLAGS)  $(SRC)/xgeom.f
@@ -196,7 +217,7 @@
 iopol.o: $(SRC)/iopol.f $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/iopol.f
 
-pplot.o:  $(SRC)/pplot.f  $(SRC)/PPLOT.INC
+pplot.o:  $(SRC)/pplot.f  $(SRC)/PPLOT.INC $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pplot.f
 pxplot.o: $(SRC)/pxplot.f $(SRC)/PXPLOT.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pxplot.f

=== plotlib/Makefile ===
--- 
+++ 
@@ -30,9 +30,9 @@
 #================================#
 
 # Point to your install directory
-#INSTALLDIR= $(HOME)/lib
-#INSTALLDIR= /usr/local/lib
-#INSTALLDIR= .
+#INSTALLDIR = /home/codes/bin
+#INSTALLDIR = /usr/local/lib
+INSTALLDIR = .
 
 # Use these to set default library name (overridden in config.make file) 
 PLTLIB = libPlt.a
@@ -42,20 +42,19 @@
 ###========================================================
 ###  Basic plot library object files
 OBJ     = plt_base.o plt_font.o plt_util.o plt_color.o \
-          set_subs.o gw_subs.o ps_subs.o Xwin.o
+          set_subs.o gw_subs.o ps_subs.o Xwin2.o
 OBJMISC =
 OBJ3D   =
 OBJOLD  =
 
-###
 ###--------------------------------------------------------
 ###  Uncomment to add the old plot compatibility routines
 OBJOLD  = plt_old.o
-###
+
 ###--------------------------------------------------------
 ###  Uncomment to add the primitive 3D-view routines
 OBJ3D  = plt_3D.o
-###
+
 ###--------------------------------------------------------
 ###  Uncomment for f77 compiler w/o AND() and RSHIFT/LSHIFT functions.
 ###   This adds some functions to duplicate these using IAND and ISHFT
@@ -67,31 +66,9 @@
 #OBJMISC = util-ops.o
 
 
-###================================================
-###  Default compilers and flags, install commands
-FC = f77
-CC  = cc
-# Some fortrans need trailing underscores in C interface symbols (see Xwin.c)
-DEFINE = -DUNDERSCORE
-# Uncomment DP to make double-precision version
-#DP = -r8
-FFLAGS  = -O $(DP)
-CFLAGS  = -O $(DEFINE)
-AR = ar r 
-RANLIB = ranlib
-LINKLIB =  -lX11 
-###================================================
-
-
-
-###================================================
-### This line includes your compiler/make options
-### with definitions for compiler and flags
-
+###-------------------------------------------------------------------------
+### Set compiler, compiler flags, name of output object library
 include ./config.make
-
-###================================================
-
 
 
 ###-------------------------------------------------------------------------
@@ -154,6 +131,8 @@
 
 Xwin.o: Xwin.c
 	$(CC) -c $(CFLAGS) Xwin.c
+Xwin2.o: Xwin2.c
+	$(CC) -c $(CFLAGS) Xwin2.c
 
 
 ### May need to specify these on a brain-dead make system

=== orrs/bin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 SRC = ../src
-PLTOBJ = /var/local/codes/Xplot/libPlt.a
+PLTOBJ = /home/codes/Xplot/libPlt.a
 
 #========================================
 #  Default compiler flags
@@ -36,10 +36,16 @@
 	$(FC) -o fscorr fscorr.o fs.o $(PLTOBJ) $(PLTLIB)
 fsrun: fsrun.o fs.o
 	$(FC) -o fsrun fsrun.o fs.o $(PLTOBJ) $(PLTLIB)
+fs4run: fsrun.o fs4.o
+	$(FC) -o fs4run fsrun.o fs4.o $(PLTOBJ) $(PLTLIB)
 intai: intai.o osmap.o plutil.o
 	$(FC) -o intai intai.o osmap.o plutil.o $(PLTOBJ) $(PLTLIB)
 mappl1: mappl1.o ask1.o conlab.o io.o getarg0.o
 	$(FC) -o mappl1 mappl1.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
+mappl0: mappl0.o ask1.o conlab.o io.o getarg0.o
+	$(FC) -o mappl0 mappl0.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
+mappl0x: mappl0x.o ask1.o conlab.o io.o getarg0.o
+	$(FC) -o mappl0x mappl0x.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
 ncorr: ncorr.o fs.o
 	$(FC) -o ncorr ncorr.o fs.o $(PLTOBJ) $(PLTLIB)
 osrun: osrun.o fs.o orrs.o ospres.o plutil.o userio.o
@@ -79,12 +85,18 @@
 	$(FC) -c $(FLG) $(SRC)/fsrun.f
 fs.o: $(SRC)/fs.f
 	$(FC) -c $(FLG) $(SRC)/fs.f
+fs4.o: $(SRC)/fs4.f
+	$(FC) -c $(FLG) $(SRC)/fs4.f
 io.o: $(SRC)/io.f
 	$(FC) -c $(FLG) $(SRC)/io.f
 intai.o: $(SRC)/intai.f
 	$(FC) -c $(FLG) $(SRC)/intai.f
 mappl1.o: $(SRC)/mappl1.f
 	$(FC) -c $(FLG) $(SRC)/mappl1.f
+mappl0.o: $(SRC)/mappl0.f
+	$(FC) -c $(FLG) $(SRC)/mappl0.f
+mappl0x.o: $(SRC)/mappl0x.f
+	$(FC) -c $(FLG) $(SRC)/mappl0x.f
 ncorr.o: $(SRC)/ncorr.f
 	$(FC) -c $(FLG) $(SRC)/ncorr.f
 osmap.o: $(SRC)/osmap.f

=== plotlib/examples/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
         symbols symbolsall \
 	squares squaresdoublebuff \
 	spectrum cmap2 cmap3 defmap \
-        gridtest zoomtest contest
+        gridtest zoomtest contest mousexy mousexy2
 
 
 examples:  $(PROGS)
@@ -99,6 +99,15 @@
 contest: contest.o 
 	$(FC) -o contest contest.o $(LIB) $(LINKLIB)
 
+mousexy: mousexy.o 
+	$(FC) -o mousexy mousexy.o $(LIB) $(LINKLIB)
+
+mousexy2: mousexy2.o 
+	$(FC) -o mousexy2 mousexy2.o $(LIB) $(LINKLIB)
+
+mousexy3: mousexy3.o 
+	$(FC) -o mousexy3 mousexy3.o $(LIB) $(LINKLIB)
+
 
 
 volts.o: volts.f
@@ -140,6 +149,15 @@
 contest.o: contest.f
 	$(FC) -c $(FFLAGS) $<
 
+mousexy.o: mousexy.f
+	$(FC) -c $(FFLAGS) $<
+
+mousexy2.o: mousexy2.f
+	$(FC) -c $(FFLAGS) $<
+
+mousexy3.o: mousexy3.f
+	$(FC) -c $(FFLAGS) $<
+
 #May need to specify these on a brain-dead make system
 #.f.o:	$(FC) -c $(FFLAGS) $<
 #.c.o:	$(CC) -c $(CFLAGS) $<

=== plotlib/sym/Makefile ===
#***********************************************************************
#    Module:  Makefile (Xplot/sym directory)
# 
#    Copyright (C) 1996 Harold Youngren, Mark Drela 
# 
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this library; if not, write to the Free
#    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
#    Report problems to:    guppy@maine.com 
#                        or drela@mit.edu  
#***********************************************************************

#Makefile for stroke font creation and editing programs 

FC    = f77
#FC   = g77
FFLAGS = -O1
LIBS   = ../libPlt.a  -lX11

PROGS = symgen  test

all:	$(PROGS)

clean:
	-/bin/rm *.o
	-/bin/rm *.a
	-/bin/rm $(PROGS)


symgen: symgen.o
	$(FC) -o symgen symgen.o $(LIBS)

symgen.o: symgen.f
	$(FC) -c $(FFLAGS) symgen.f

../plt_font.o: ../plt_font.f ../CHAR.INC ../SLAN.INC ../MATH.INC ../SYMB.INC
	$(FC) -c $(FFLAGS) ../plt_font.f
	mv ./plt_font.o ../



test: test.o ../plt_font.o
	$(FC) -o test test.o ../plt_font.o $(LIBS)

test.o: test.f
	$(FC) -c $(FFLAGS) test.f

=== debian/changelog ===
xfoil (6.99.dfsg+1-3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Remove empty leading paragraph in Description.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add debian/salsa-ci.yml.
  * Update patches to correctly apply hardening flags.
  * Update debian/watch to version 4 and use dversionmangle
    option instead uversionmangle.
  * Convert debian/copyright to the DEP-5 format.
  * Enable all hardening options by default.
  * Standards-Version 4.6.0 — no changes required.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 22 Oct 2021 17:46:15 +0200

xfoil (6.99.dfsg+1-2) unstable; urgency=medium

  * New patches:
    - fix-compilation-with-gcc-10.diff - pass -fallow-argument-mismatch to
      gfortran to fix compilation with gcc >= 10 (closes: #957978).
  * Removed patches:
    - osgen-fix.diff - empty

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 09 May 2021 20:23:48 +0200

xfoil (6.99.dfsg+1-1) unstable; urgency=medium

  * Remove Windows executable from the orig tarball
  * Move packaging to salsa.debian.org and update Vcs fields
  * Use debhelper compat level 11 instead of deprecated level 7
  * Don't pass --parallel to dh in debian/rules
  * Standards-Version 4.2.1 - no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Dec 2018 01:17:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: science
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 11~), gfortran, libx11-dev
-Standards-Version: 4.2.1
-Homepage: http://web.mit.edu/drela/Public/web/xfoil/
+Build-Depends: debhelper-compat (= 13), gfortran, libx11-dev
+Standards-Version: 4.6.0
+Homepage: https://web.mit.edu/drela/Public/web/xfoil/
 Vcs-Git: https://salsa.debian.org/debian/xfoil.git
 Vcs-Browser: https://salsa.debian.org/debian/xfoil
 
-Package: xfoil
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Package: xfoil
 Description: program for the design and analysis of subsonic airfoils
  XFOIL is an interactive program for the design and analysis of subsonic
  isolated airfoils. It consists of a collection of menu-driven routines

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C orrs/bin -f Makefile_DP osgen
	cd orrs && bin/osgen osmaps_ns.lst
	$(MAKE) -C plotlib
	$(MAKE) -C bin

override_dh_auto_clean:
	$(MAKE) -C orrs/bin -f Makefile_DP clean
	rm -f orrs/osmap.dat
	$(MAKE) -C plotlib clean
	$(MAKE) -C bin clean

override_dh_installchangelogs:
	dh_installchangelogs version_notes.txt

=== debian/watch ===
version=4
opts="dversionmangle=s/dfsg(\+\d+)?$//" \
https://web.mit.edu/drela/Public/web/xfoil/ xfoil([\d.]+)\.(?:tgz|tar\.gz)
